# Updates a billing run with the specified ID. This method will update an existing billing run with the specified ID. Endpoint: PUT /billingRuns/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the billing run to update. ## Request fields (application/json): - `business_unit_id` (string, required) - `cancel_installment_schedules` (boolean) If set, reminders are sent to those who have failed installments - `error` (string) The error message - `error_stack` (string) The error stack - `expiring_credit_card_reminder_options` (object, required) - `expiring_credit_card_reminder_options.order_type_restriction` (string) Determines if/how to restrict the type of orders to Enum: "exclude", "include", "none" - `expiring_credit_card_reminder_options.order_types` (array) - `expiring_credit_card_reminder_options.reminders` (array) - `expiring_credit_card_reminder_options.reminders.card_expiration_date_end` (string, required) Credit card expiration date - `expiring_credit_card_reminder_options.reminders.card_expiration_date_start` (string, required) Credit card expiration date - `expiring_credit_card_reminder_options.reminders.id` (number) A unique, unchangeable reminder id - `expiring_credit_card_reminder_options.reminders.name` (string) Optional name - `expiring_credit_card_reminder_options.reminders.notice_id` (string, required) The notice to send to the customer - `id` (string, required) The unique, string identifier of this billing run - `installment_schedule_cancellation_options` (object, required) - `installment_schedule_cancellation_options.date_range_end` (string, required) Date used to filter out schedules to cancel - `installment_schedule_cancellation_options.date_range_start` (string, required) Date used to filter out schedules to cancel - `installment_schedule_options` (object, required) - `installment_schedule_options.card_type_restriction` (string) Determines if/how to restrict the type of invoices to Enum: "exclude", "include", "none" - `installment_schedule_options.card_types` (array) - `installment_schedule_options.date_range_end` (string, required) Date used to filter out schedules to bill - `installment_schedule_options.date_range_start` (string, required) Date used to filter out schedules to bill - `installment_schedule_options.do_not_send_standard_email_confirmations` (boolean) If true, the normal payment/order confirmations are not sent - `installment_schedule_options.failure_notice_id` (string) The notice to send if processing is unsuccessful - `installment_schedule_options.payment_type_restriction` (string) Determines if/how to restrict the type of invoices to Enum: "exclude", "include", "none" - `installment_schedule_options.payment_types` (array) - `installment_schedule_options.success_notice_id` (string) The notice to send if processing is successful - `installment_schedule_reminder_options` (object, required) - `last_refresh_date` (string) The last time the billing run was refreshed - `name` (string, required) The name of the billing run - `notification_email` (string) Te address to send notifications - `preprocessing_date` (string) The date this billing run was actually processed - `process_installment_schedules` (boolean) If set, installment schedules should be processed - `recurring_billing_run_id` (string) The recurring billing run - `run_date` (string) The date of the billing run - `scheduled_preprocessing_date` (string) The date which this billing run should be preprocessed - `scheduled_run_date` (string) The date the billing run is scheduled for execution - `send_expiring_credit_card_reminders` (boolean) If set, reminders are sent to those whose credit cards are about to expire - `send_installment_schedule_reminders` (boolean) If set, reminders are to customers who own installment schedules suspended due to payment error - `send_statements` (boolean) If set, statements are generated for those who have open invoices - `statement_options` (object, required) - `statement_options.business_unit_ids` (array) - `statement_options.business_unit_restriction` (string) Determines if/how to restrict the type of invoices to Enum: "exclude", "include", "none" - `statement_options.customer_type` (string) The type of customer for whom statements should be generated Enum: "both", "contact", "organization" - `statement_options.statement_template_id` (string) The statement template to use; leave blank for default - `statistics` (array) - `statistics.action` (string, required) - `statistics.error` (number) - `statistics.excluded` (number) - `statistics.pending` (number) - `statistics.processing` (number) - `statistics.successful` (number) - `statistics.total` (number) - `status` (string, required) Enum: "cancelled", "completed", "draft", "error", "preprocessing", "ready for execution", "running", "scheduled", "scheduled for execution", "timed out" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `template_id` (string) The billing template that created this run ## Response 200 fields (application/json): - `business_unit_id` (string, required) - `cancel_installment_schedules` (boolean) If set, reminders are sent to those who have failed installments - `error` (string) The error message - `error_stack` (string) The error stack - `expiring_credit_card_reminder_options` (object, required) - `expiring_credit_card_reminder_options.order_type_restriction` (string) Determines if/how to restrict the type of orders to Enum: "exclude", "include", "none" - `expiring_credit_card_reminder_options.order_types` (array) - `expiring_credit_card_reminder_options.reminders` (array) - `expiring_credit_card_reminder_options.reminders.card_expiration_date_end` (string, required) Credit card expiration date - `expiring_credit_card_reminder_options.reminders.card_expiration_date_start` (string, required) Credit card expiration date - `expiring_credit_card_reminder_options.reminders.id` (number) A unique, unchangeable reminder id - `expiring_credit_card_reminder_options.reminders.name` (string) Optional name - `expiring_credit_card_reminder_options.reminders.notice_id` (string, required) The notice to send to the customer - `id` (string, required) The unique, string identifier of this billing run - `installment_schedule_cancellation_options` (object, required) - `installment_schedule_cancellation_options.date_range_end` (string, required) Date used to filter out schedules to cancel - `installment_schedule_cancellation_options.date_range_start` (string, required) Date used to filter out schedules to cancel - `installment_schedule_options` (object, required) - `installment_schedule_options.card_type_restriction` (string) Determines if/how to restrict the type of invoices to Enum: "exclude", "include", "none" - `installment_schedule_options.card_types` (array) - `installment_schedule_options.date_range_end` (string, required) Date used to filter out schedules to bill - `installment_schedule_options.date_range_start` (string, required) Date used to filter out schedules to bill - `installment_schedule_options.do_not_send_standard_email_confirmations` (boolean) If true, the normal payment/order confirmations are not sent - `installment_schedule_options.failure_notice_id` (string) The notice to send if processing is unsuccessful - `installment_schedule_options.payment_type_restriction` (string) Determines if/how to restrict the type of invoices to Enum: "exclude", "include", "none" - `installment_schedule_options.payment_types` (array) - `installment_schedule_options.success_notice_id` (string) The notice to send if processing is successful - `installment_schedule_reminder_options` (object, required) - `last_refresh_date` (string) The last time the billing run was refreshed - `name` (string, required) The name of the billing run - `notification_email` (string) Te address to send notifications - `preprocessing_date` (string) The date this billing run was actually processed - `process_installment_schedules` (boolean) If set, installment schedules should be processed - `recurring_billing_run_id` (string) The recurring billing run - `run_date` (string) The date of the billing run - `scheduled_preprocessing_date` (string) The date which this billing run should be preprocessed - `scheduled_run_date` (string) The date the billing run is scheduled for execution - `send_expiring_credit_card_reminders` (boolean) If set, reminders are sent to those whose credit cards are about to expire - `send_installment_schedule_reminders` (boolean) If set, reminders are to customers who own installment schedules suspended due to payment error - `send_statements` (boolean) If set, statements are generated for those who have open invoices - `statement_options` (object, required) - `statement_options.business_unit_ids` (array) - `statement_options.business_unit_restriction` (string) Determines if/how to restrict the type of invoices to Enum: "exclude", "include", "none" - `statement_options.customer_type` (string) The type of customer for whom statements should be generated Enum: "both", "contact", "organization" - `statement_options.statement_template_id` (string) The statement template to use; leave blank for default - `statistics` (array) - `statistics.action` (string, required) - `statistics.error` (number) - `statistics.excluded` (number) - `statistics.pending` (number) - `statistics.processing` (number) - `statistics.successful` (number) - `statistics.total` (number) - `status` (string, required) Enum: "cancelled", "completed", "draft", "error", "preprocessing", "ready for execution", "running", "scheduled", "scheduled for execution", "timed out" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `template_id` (string) The billing template that created this run ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields